<?php
	error_reporting(0);

	require_once "../../../admin/lib/debug.php";
	require_once "../../../admin/lib/include/file.php";
	require_once "../../../admin/lib/include/dir.php";

	//debug($_SERVER);	
	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function ProcessStyleCss() {
		global $conf;

		$css = file("admin.css");

		foreach ($css as $key => $val) {
			$val = trim($val);

			if ($val && stristr($val , "@import")) {
				$val = str_replace('@import url("' , "" , $val);
				$val = str_replace('");' , "" , $val);

				$files[] = trim($val);//str_replace("../../../assets/maintenance/css/" , "" , $val);
			}			
		}


		foreach ($files as $key => $val) {
			$content .=  "\n" . str_replace(
				array(
					".generic-text",
				) , 
				array(
					""
				), 
				CFile::Get($val)
			);	
		}

		return $content;
	}

	$content = ProcessStyleCss();
		
	header("Content-type: text/css");
	header("Cache-Control: max-age=2692000, public");

    header("Content-Length: ".strlen($content)); 
	echo $content;
	die();
	

?>